> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Notification As Read

> Mark a specific notification as read



## OpenAPI

````yaml /openapi.json patch /notification/{id}/read
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /notification/{id}/read:
    patch:
      tags:
        - Notifications
      summary: Mark Notification As Read
      description: Mark a specific notification as read
      operationId: markNotificationAsRead
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Notification marked as read
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  userId:
                    type: string
                  title:
                    type: string
                    nullable: true
                  content:
                    type: string
                    nullable: true
                  type:
                    enum:
                      - info
                      - task_created
                      - workspace_created
                      - task_status_changed
                      - task_assignee_changed
                      - time_entry_created
                      - due_date_reminder
                      - task_overdue
                      - task_mention
                    type: string
                  eventData:
                    type: object
                    additionalProperties: true
                    nullable: true
                  isRead:
                    type: boolean
                  resourceId:
                    type: string
                  resourceType:
                    enum:
                      - task
                      - workspace
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - userId
                  - title
                  - content
                  - type
                  - eventData
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````